#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

project( tderesources )

tde_import( libkmime )
tde_import( ktnef )
tde_import( libkcal )
tde_import( libtdepim )
tde_import( knotes )

add_subdirectory( lib )
add_subdirectory( remote )
tde_conditional_add_subdirectory( WITH_EGROUPWARE egroupware )
tde_conditional_add_subdirectory( WITH_EXCHANGE exchange )
tde_conditional_add_subdirectory( WITH_KOLAB kolab )
tde_conditional_add_subdirectory( WITH_SLOX slox )
tde_conditional_add_subdirectory( WITH_GROUPWISE groupwise )
tde_conditional_add_subdirectory( WITH_FEATUREPLAN featureplan )
tde_conditional_add_subdirectory( WITH_GROUPDAV groupdav )
tde_conditional_add_subdirectory( WITH_BIRTHDAYS birthdays )
tde_conditional_add_subdirectory( WITH_NEWEXCHANGE newexchange )
tde_conditional_add_subdirectory( WITH_SCALIX scalix )
tde_conditional_add_subdirectory( WITH_CALDAV caldav )
tde_conditional_add_subdirectory( WITH_CARDDAV carddav )

tde_install_export( )
